#----------------------------------------------------------------------------#
### PRNG Gen
## Created By: Winter_Snake
## [prng:prng_gen]
## Pseudo Random Number Generator - Generation
## Last Edited: August 26,2017
## Working Version: Minecraft 1.12.1
#----------------------------------------------------------------------------#

## Generating Random Number:
# -MUST set range before calling this function!
# -Call this function to generate a random number between desired range

## Retrieving Random Number:
## scoreboard players operation <entity data> funcPRNG = funcOutp funcPRNG
## scoreboard players reset <entity data> funcPRNG

## Retrieving Last Seed:
## scoreboard players operation funcBase funcPRNG = funcBase_B funcPRNG
## scoreboard players operation funcSeed funcPRNG = funcSeed_B funcPRNG

## Store Previous Seeds
scoreboard players operation funcBase_B funcPRNG = funcBase funcPRNG
scoreboard players operation funcSeed_B funcPRNG = funcSeed funcPRNG

## Randomize Calculations
scoreboard players operation funcSeed funcPRNG %= funcBase funcPRNG
scoreboard players operation funcSeed funcPRNG *= funcMult funcPRNG
scoreboard players operation funcSeed funcPRNG %= funcModu funcPRNG
scoreboard players operation funcOutp funcPRNG = funcSeed funcPRNG
scoreboard players operation funcOutp funcPRNG %= funcRang funcPRNG
scoreboard players add funcSeed funcPRNG 1

## Randomize Base Modulo
scoreboard players operation funcBase funcPRNG *= funcMult funcPRNG
scoreboard players operation funcBase funcPRNG %= funcModu funcPRNG